<?php
/*добавляем страницу бонусов в аккаунте клиента*/


function referal_in_account(){
    $val = get_option('bonus_option_name');
    if(!empty($val['referal-system'])){
        $userid = get_current_user_id();
        /*Реферальный код пользователя*/
        $get_referral        = get_user_meta( $userid, 'bfw_points_referral', true );
        /*Количество приглашенных пользователем клиентов*/
        $get_referral_invite = get_user_meta( $userid, 'bfw_points_referral_invite', true );
        if ( empty( $get_referral )  ) {
            $referral_key = bfw_create_referal_code();
            update_user_meta( $userid, 'bfw_points_referral', $referral_key );
        }
        if ( empty( $get_referral_invite )  ) {
            $referral_invite = 0;
            update_user_meta( $userid, 'bfw_points_referral_invite', $referral_invite );
        }


        /*сколько людей пригласил*/
        $argsa['meta_query'] = array(
            array(
                'key' => 'bfw_points_referral_invite',
                'value' => trim($userid),
                'compare' => '==',
            ),
        );
        $refere_data = get_users($argsa);

        $sumordersforreferral = $val['sum-orders-for-referral'] ?? 0;

  $total = round((int)wc_get_customer_total_spent($userid));/*сумма всех покупок округленная до целого*/

        if($total>$sumordersforreferral OR $total==$sumordersforreferral){
            echo '<div class="bonus_computy_account"><span class="title_bca">'.__('My referral link', 'bonus-for-woo').':</span> <code id="code_referal" class="value_bca">'.esc_url(site_url() . '?bfwkey=' . $get_referral).'</code> <span  title="Копировать ссылку"  id="copy_referal"></span><span id="copy_good"></span> </div>';
            $url = esc_url(site_url().'?bfwkey='. $get_referral);
            $title = get_bloginfo('name');
            $description = get_bloginfo('description');
            echo '<div class="bfw_social_links">';

            if(!empty($val['ref-social-vk'])){
                    echo '<a target="_blank" href="https://vk.com/share.php?url='.$url.'&title='.$title.'&description='.$description.'&noparse=true" class="bfw_social_link_item bfw_ref_icon_vk"></a>';
            }
            if(!empty($val['ref-social-fb'])){
                    echo '<a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u='.$url.'" class="bfw_social_link_item bfw_ref_icon_fb"></a>';
                            }
            if(!empty($val['ref-social-tw'])){
                    echo '<a target="_blank" href="https://twitter.com/share?url='.$url.'" class="bfw_social_link_item bfw_ref_icon_tw"></a>';
            }
            if(!empty($val['ref-social-tg'])){
                echo '<a class="bfw_social_link_item bfw_ref_icon_tg" target="_blank" href="https://telegram.me/share/url?url='.$url.'&text='.$title.' '.$description.'"></a>';
                             }
            if(!empty($val['ref-social-whatsapp'])){
                echo '<a class="bfw_social_link_item bfw_ref_icon_whatsapp" target="_blank" href="https://api.whatsapp.com/send?text='.urlencode( $url).'" data-action="share/whatsapp/share"></a>';
                              }
            if(!empty($val['ref-social-viber'])){
                    echo '<a class="bfw_social_link_item bfw_ref_icon_viber" target="_blank" href="viber://forward?text='.$url.'"></a>';
                             }

            echo '</div>';
            echo '<div class="bonus_computy_account"><span class="title_bca">'.__('I invited', 'bonus-for-woo').':</span> <span class="value_bca">'.count($refere_data).' '.__('people','bonus-for-woo').'</span></div>';

        }else{
            $ostalos = $sumordersforreferral-$total;
            echo '<small class="remaining-amount">' .__('To start using the referral system, you need to buy goods for ', 'bonus-for-woo').' '.$ostalos.' '. get_woocommerce_currency_symbol() . '</small>';


        }


    }
}

function bonus_for_woo_get_total_order()
{
    $userid = get_current_user_id();
    $total = round((int)wc_get_customer_total_spent($userid));/*сумма всех покупок округленная до целого*/
    $val = get_option('bonus_option_name');


     //echo '<p>Сумма всех заказов: '.$total.' руб.</p>';

    $title_my_statusonaccount = $val['title-my-status-on-account'];
    $title_my_procent = $val['my-procent-on-account'];
    $title_my_bonus_points = $val['my-bonus-points-on-account'];

    (new BfwRoles)->updateRole($userid);

     echo '<div class="bonus_computy_account"><span class="title_bca">' . $title_my_statusonaccount . ':</span> <span class="value_bca">' . (new BfwRoles)->getRole($userid)['name'] . '</span></div>';
    echo '<div class="bonus_computy_account"><span class="title_bca">' . $title_my_procent . ':</span> <span class="value_bca"> ' . (new BfwRoles)->getRole($userid)['percent'] . '% </span></div>';

    $computy_point = (new BfwPoints)->getPoints($userid);
    $computy_point = ('' === $computy_point) ? 0 : $computy_point;
    echo '<div class="bonus_computy_account"><span class="title_bca">' . $title_my_bonus_points . ':</span> <span class="value_bca">' .  round($computy_point) . ' '.(new BfwPoints())->pointsLabel($computy_point).'</span></div>';


    //узнать сколько рублей осталось до следующего статуса
    $nextrole = (new BfwRoles)->getNextRole($userid);


    if($nextrole['status']=='next' OR $nextrole['status']=='max'){

        if (get_option('bonus-for-woo-pro') == 'active') {
        ?>
        <ol class="bfw-progress-bar">
        <?php
        global $wpdb;
        $tab_bfw = $wpdb->get_results("SELECT *,summa_start FROM " . $wpdb->prefix . "bfw_computy  ORDER BY summa_start + 0 asc");
       $yourole =(new BfwRoles)->getRole($userid)['name'];
        foreach ($tab_bfw as $bfw) {
            echo '<li class="';
            if($bfw->summa_start<$total){  echo ' is-complete ';}
            if($yourole===$bfw->name){
                echo ' is-active ';
            }
           echo '"><span>'.$bfw->name.'</span></li>';
        }
        echo '</ol>';

            ?>
            <div class="bfw-progressbar-block">
            <style> #bfw-progressbar > div {
                    width: <?php if($nextrole['status']!='max'){ echo $nextrole['percent-zarabotannogo'];}else{echo '100'; $nextrole['percent-zarabotannogo']='100';} ?>%;
                }
                #bfw-progressbar > div span{
                <?php if($nextrole['percent-zarabotannogo']<10){echo 'left:6px;';}
                else{echo 'right: 6px;';} ?>
                }
            </style>
            <div class="bfw-progressbar-title"><div class="bfw-progressbar-title-one"><?php echo (new BfwRoles)->getRole($userid)['name']; ?></div><div class="bfw-progressbar-title-two"><?php if ($nextrole['status']!='max'){ echo $nextrole['name'];} ?></div></div>
            <div id="bfw-progressbar"><div><span><?php echo number_format($total, 0, '', ' ').' '.get_woocommerce_currency_symbol(); ?></span></div></div>
            </div>

            <?php } ?>

        <?php
    }
        if($nextrole['status']=='next'){
            $remaining_amount1 = $val['remaining-amount1'];
            $remaining_amount2 = $val['remaining-amount2'];
            $remaining_amount3 = $val['remaining-amount3'];

        echo '<small class="remaining-amount">' . $remaining_amount1 . ' ' . $nextrole['percent'] . '% ' . $remaining_amount2 . ' «' . $nextrole['name'] . '» ' . $remaining_amount3 . ' ' . $nextrole['sum'] . ' ' . get_woocommerce_currency_symbol() . '</small>';
    }elseif ($nextrole['status']=='max'){
        echo '<small class="remaining-amount">' . __('You have the maximum cashback!',  'bonus-for-woo') . '</small>';
    }elseif ($nextrole['status']=='no'){
        echo '<small class="remaining-amount">' . __('At the moment, the bonus system is not available.',  'bonus-for-woo') . '</small>';
    }else{
        echo '<small class="remaining-amount">' . __('Unfortunately, you cannot participate in the bonus system.',  'bonus-for-woo') . '</small>';
    }


}

/*Создаем сслку в меню woocommerce account бонусная система*/
add_filter('woocommerce_account_menu_items', 'bfwoo_bonuses_link', 25);
function bfwoo_bonuses_link($menu_links)
{
    $val = get_option( 'bonus_option_name' );
    $poryadok = $val['poryadok-in-account'] ?? 4;
    $title_page = $val['title-on-account'] ?? __( 'Bonus page', 'bonus-for-woo' );
    $menu_links = array_slice($menu_links, 0, $poryadok, true) + array('bonuses' => $title_page) + array_slice($menu_links, $poryadok,
            null, true);
    $menu_links['bonuses'] = $title_page;
    return $menu_links;
}


/*Добавляем конечную точку bonuses*/
add_action('init', 'bfwoo_bonuses_add_endpoint', 25);
function bfwoo_bonuses_add_endpoint()
{
    add_rewrite_endpoint('bonuses', EP_PAGES);
}

/*Добавляем контен на страницу бонусов*/
add_action('woocommerce_account_bonuses_endpoint', 'bfwoo_computy_content', 25);
function bfwoo_computy_content()
{
    $val = get_option( 'bonus_option_name' );

    $titleBonusPage = $val['title-on-account'] ?? __( 'Bonus page', 'bonus-for-woo' );
    echo '<h2>' . $titleBonusPage . '</h2>';
    echo '<div class="bfw_user_acount_content">';

    bonus_for_woo_get_total_order();
echo '<br><br>';
     if((new BfwRoles)->is_invalve()){
         referal_in_account();
     }


    if(empty($val['hystory-hide'])){
        /*история начислений баллов клиента*/
        (new BfwHistory)->getHistory(get_current_user_id());
    }

    echo '</div>';


}