<?php
/*--проверяет существование бд после обновлений--*/
if( get_transient( 'bfw_pro_updated' ) ) {

    /*проверка есть ли таблица в бд*/
    global $wpdb;

    $table_history_name = $wpdb->prefix . 'bfw_history_computy';
    if ($wpdb->get_var("SHOW TABLES LIKE '$table_history_name'") != $table_history_name) {
        $charset_collate = $wpdb->get_charset_collate();
        $sql = "CREATE TABLE $table_history_name (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		user INT(10)  NOT NULL,
		date datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
		symbol VARCHAR(10) DEFAULT '' NOT NULL,
		points INT(10) DEFAULT '' NOT NULL,
		orderz INT(10) DEFAULT '' NOT NULL,
		comment_admin VARCHAR(100) NOT NULL,
		status VARCHAR (10) DEFAULT '' NOT NULL,
		PRIMARY KEY  (id)
	) $charset_collate;";


        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        dbDelta($sql);
        delete_option('rewrite_rules');
    }

    $table_time_points_name = $wpdb->prefix . 'bfw_time_points_computy';
    if ($wpdb->get_var("SHOW TABLES LIKE '$table_time_points_name'") != $table_time_points_name) {
        $charset_collate = $wpdb->get_charset_collate();
        $sql = "CREATE TABLE $table_time_points_name (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		user INT(10) NOT NULL,
		created_date datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
		off_date datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
		points INT(10) NOT NULL,
		status VARCHAR(10) DEFAULT '' NOT NULL,
		PRIMARY KEY (id)
	) $charset_collate;";

        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        dbDelta($sql);
    }

    /*проверка на про*/
    $pro = get_option( 'bonus-for-woo-pro' );
    if($pro == 'active'){
        $site = get_site_url();
        $arrContextOptions=array(
            "ssl"=>array(
                "verify_peer"=>false,
                "verify_peer_name"=>false,
            ),
        );
        $resp = file_get_contents('http://computy.ru/API/key_check.php?site='.$site, false, stream_context_create($arrContextOptions));

      //  $resp = file_get_contents('https://computy.ru/API/key_check.php?site='.$site);
        $data = json_decode($resp, true);
        if($data['status']=='OK'){

        } else{
            update_option( 'bonus-for-woo-pro', 'noactive' );

            function author_admin_notice_bfwpro(){
                echo '<div class="notice notice-info is-dismissible">
          <p>'. __('The Pro version of the Bonus for Woo plugin has not been confirmed. Reactivate the Pro version. If you have any difficulties, write to us at info@computy.ru', 'bonus-for-woo').'</p>
         </div>';

            }
            add_action('admin_notices', 'author_admin_notice_bfwpro');

        }
    }
    /*проверка на про*/

    delete_transient( 'bfw_pro_updated' );
}
