<?php
/**
 * Вывод возможного кэшбэка на странице заказа и в корзине

 * @version 3.1.0
 */


$val = get_option('bonus_option_name');

    if( !empty($val['cashback-in-cart'])) {
        add_action('woocommerce_review_order_after_order_total', 'bfw_get_cashback_in_cart');
        add_action('woocommerce_cart_totals_after_order_total', 'bfw_get_cashback_in_cart');
    }


function bfw_get_cashback_in_cart()
{
    $val = get_option('bonus_option_name');
    global $woocommerce;
    $total_order =  $woocommerce->cart->total;
    $pro = get_option('bonus-for-woo-pro');
    /*исключение категорий*/
    if ($pro == 'active') {
        $categoriexs = $val['exclude-category-cashback'] ?? 'not';


        foreach (WC()->cart->get_cart() as $cart_item_key => $cart_item) {
            $_product = apply_filters('woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key);
            if (has_term($categoriexs, 'product_cat', $cart_item['product_id'])) {
                $sum_exclud_cat = $_product->get_price() * $cart_item['quantity'];

                if ( empty($val['addkeshback-exclude'])) {/*если можно начислять кэшбэк*/
                   $total_order = $total_order - $sum_exclud_cat;
                }

            }
        }
    }
    /*исключение категорий*/

    /*исключение товаров*/
    if ($pro == 'active') {

        $exclude_tovar = $val['exclude-tovar-cashback'];
        $tovars = explode(",", $exclude_tovar);

        foreach (WC()->cart->get_cart() as $cart_item_key => $cart_item) {
            $_product = apply_filters('woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key);
            if (in_array($cart_item['product_id'], $tovars)) {
                $categoriexs = $val['exclude-category-cashback'] ?? 'not';
                if (has_term($categoriexs, 'product_cat', $cart_item['product_id'])) {

                } else {
                    $sum_exclud_tov = $_product->get_price() * $cart_item['quantity'];

                    if (empty($val['addkeshback-exclude'])) {/*если можно начислять кэшбэк*/
                     $total_order = $total_order - $sum_exclud_tov;
                        }


                }
            }


        }
    }
    /*исключение товаров*/



    if (is_user_logged_in()) {
        $userid = get_current_user_id();
        $role = (new BfwRoles)->getRole($userid)['slug'];//  роль пользвователя
          $cashback_title =  __('Cashback', 'bonus-for-woo');




        if((new BfwRoles)->is_invalve()){
            global $wpdb;
            $table_bfw = $wpdb->get_results("SELECT * FROM " . $wpdb->prefix . "bfw_computy WHERE  slug = '$role'");
            foreach ($table_bfw as $bfw) {
                $percent = $bfw->percent;
            }
            if(empty($percent)){/*Если роль не ясна, то минимальный кэшбэк показываем*/
                $percent =  $wpdb->get_var("SELECT MIN(CAST(percent AS SIGNED)) FROM " . $wpdb->prefix . "bfw_computy   ");
            }
        }else{
            $percent = '0';
        }


    }else{
        global $wpdb;
        $cashback_title =  __('Cashback up to', 'bonus-for-woo');
        $percent =  $wpdb->get_var("SELECT MIN(CAST(percent AS SIGNED)) FROM " . $wpdb->prefix . "bfw_computy ");
    }


    if (!empty($val['cashback-for-shipping'])) {
        /*убираем сумму доставки с кэшбэка*/
            $tot = $total_order - $woocommerce->cart->shipping_total;
            $cashback_this_order = $percent * $tot / 100;

    } else {
        $cashback_this_order = $percent * $total_order / 100;
    }

    /*
    if (WC()->cart->has_discount('des')) {
        global $woocommerce;
        $total_order_cart =   $woocommerce->cart->subtotal; // Текущая итоговая сумма
        $cashback_this_order = $total_order_cart*10/100;
    }
*/
    /*минимальная сумма заказа*/
    if ($pro == 'active'){
        if(isset($val['minimal-amount'])){
            if($total_order<$val['minimal-amount']){
                if(!empty($val['minimal-amount-cashback'])){
                    $cashback_this_order = 0;
                }

            }}
    }
    /*минимальная сумма заказа*/

    if($cashback_this_order>0){
        ?>
        <tr class="order-cashback">
            <th><span class="order-cashback-title"><?php echo $cashback_title;  ?></span></th>
            <td data-title="<?php echo $cashback_title; ?>">
                <span class="order-cashback-value"><?php
                   echo round((int)$cashback_this_order).' ';
        if (is_user_logged_in()){
            echo (new BfwPoints())->pointsLabel(round((int)$cashback_this_order)); }else{
            echo (new BfwPoints())->pointsLabelUp(round((int)$cashback_this_order));
        }

                        ?></span></td>
        </tr>
        <?php
    }



}