<?php
/*---------текст на странице товара (сколько бонусов получите)--------*/
$val = get_option('bonus_option_name');
if (!empty($val['bonus-in-price'])) {
    add_filter('woocommerce_get_price_html', 'balls_after_product_price');
}

/*шорт код для вставки на странице продукта*/
add_shortcode('bfw_cashback_in_product', 'balls_after_product_price');



function balls_after_product_price($price){

    if (is_product()) {

                global $product;

                if ($product->is_type('simple')) {
                    if($product->is_on_sale()){
                        // 'простой товар c акцией';
                        $prize = get_post_meta(get_the_ID(), '_sale_price', true);
                    }else{
                        // 'простой товар';
                        $prize = get_post_meta(get_the_ID(), '_regular_price', true);
                    }


                } elseif ($product->is_type('variable')) {
                    // 'вариативный товар';
                   $prize = $product->get_variation_sale_price('max', true);
                } else {
                    $prize = 0;

                }



                if (is_user_logged_in()) {
                    $userid = get_current_user_id();//  id пользвователя
                 $getRole = (new BfwRoles)->getRole($userid);

                 $ball = (int)$prize/100*$getRole['percent'];
                    $ball = round($ball);

                    if (!empty($ball)) {
                        if ($ball > 0) {
                            if ($product->is_type('variable')) {

                                if($product->get_variation_sale_price('max', true)!=$product->get_variation_sale_price('min', true)){
                                    $upto = __('up to', 'bonus-for-woo');
                                }else{$upto = ''; }

                            } else {$upto = ''; }


                            //найти id товара и категорию
                            global $post;
                            $id = $post->ID;
                            $val = get_option('bonus_option_name');


                            if (isset ($val['exclude-tovar-cashback'])) {
                                $exclude_tovar = $val['exclude-tovar-cashback'];
                                $tovars = explode(",", $exclude_tovar);
                            }else{$tovars= array();}

                            $categoriexs = $val['exclude-category-cashback'] ?? 'not';

                                if (in_array($id, $tovars) OR has_term($categoriexs, 'product_cat', $id)) {

                                    if (!empty($val['addkeshback-exclude'])) {
                $price .= '<div class="how_mach_bonus">' . sprintf(__('Cashback: %s %s %s', 'bonus-for-woo'), $upto, $ball, (new BfwPoints())->pointsLabel($ball)) . '</div>';

                                        } else {
                                            $price .= '';
                                        }


                                } else {
                                    $price .= '<div class="how_mach_bonus">' . sprintf(__('Cashback: %s %s %s',
                                            'bonus-for-woo'), $upto, $ball, (new BfwPoints())->pointsLabel($ball)) . '</div>';
                                }

                        }
                    }
                    else {
                        //если нет статуса, то кэшбэк до
                        global $wpdb;
                        $table_bfw = $wpdb->get_results("SELECT * FROM " . $wpdb->prefix . "bfw_computy");
                        $table_bfw = json_decode(json_encode($table_bfw),true);/* преобразование в ассоциативный массив*/


               if(!empty(array_column($table_bfw, 'percent'))){
                   $maximalpercent = max(array_column($table_bfw, 'percent'));/*находим максимальный процент*/
               }else{
                   $maximalpercent=0;
               }

                        $ball2 = (int)$prize / 100 * (int)$maximalpercent;
                        $ball2 = round($ball2);
                        if ($ball2 > 0) {
                            //найти id товара и категорию
                            global $post;
                            $id = $post->ID;
                            $val = get_option('bonus_option_name');


                            $categoriexs = $val['exclude-category-cashback']?? '';


                            if (isset ($val['exclude-tovar-cashback'])){
                                $exclude_tovar = $val['exclude-tovar-cashback'];
                                $tovars = explode(",", $exclude_tovar);
                            }else{$tovars= array();}


                                if (in_array($id, $tovars) OR has_term($categoriexs, 'product_cat', $id)) {
                                    if (!empty($val['addkeshback-exclude'])) {
                                            $price .= '<div class="how_mach_bonus">' . sprintf(__('Cashback: up to %s %s',
                                                    'bonus-for-woo'), $ball2, (new BfwPoints())->pointsLabelUp($ball2)) . '</div>';

                                    }

                                } else {
                                    $price .= '<div class="how_mach_bonus">' . sprintf(__('Cashback: up to %s %s',
                                            'bonus-for-woo'), $ball2, (new BfwPoints())->pointsLabelUp($ball2)) . '</div>';

                            }


                        }
                    }

                    if(isset($val['ref-links-on-single-page']) AND (new BfwRoles)->is_invalve()){
                        if($val['ref-links-on-single-page']==1){
                            //вставка реферальных ссылок
                            /*Реферальный код пользователя*/
                            $get_referral        = get_user_meta( $userid, 'bfw_points_referral', true );
                            $url = esc_url(get_permalink( get_the_ID()).'?bfwkey='. $get_referral);
                            $description = get_bloginfo('description');
                            $title = $product->get_title();

                            $price .= '<div class="bfw_social_links">';

                            if(!empty($val['ref-social-vk'])){
                                $price .= '<a target="_blank" href="https://vk.com/share.php?url='.$url.'&title='.$title.'&description='.$description.'&noparse=true" class="bfw_social_link_item bfw_ref_icon_vk"></a>';
                            }
                            if(!empty($val['ref-social-fb'])){
                                $price .= '<a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u='.$url.'" class="bfw_social_link_item bfw_ref_icon_fb"></a>';
                            }
                            if(!empty($val['ref-social-tw'])){
                                $price .= '<a target="_blank" href="https://twitter.com/share?url='.$url.'" class="bfw_social_link_item bfw_ref_icon_tw"></a>';
                            }
                            if(!empty($val['ref-social-tg'])){
                                $price .= '<a class="bfw_social_link_item bfw_ref_icon_tg" target="_blank" href="https://telegram.me/share/url?url='.$url.'&text='.$title.' '.$description.'"></a>';
                            }
                            if(!empty($val['ref-social-whatsapp'])){
                                $price .= '<a class="bfw_social_link_item bfw_ref_icon_whatsapp" target="_blank" href="https://api.whatsapp.com/send?text='.urlencode( $url).'" data-action="share/whatsapp/share"></a>';
                            }
                            if(!empty($val['ref-social-viber'])){
                                $price .= '<a class="bfw_social_link_item bfw_ref_icon_viber" target="_blank" href="viber://forward?text='.$url.'"></a>';
                            }

                            $price .= '</div>';
                        }
                    }


                }
                else {
                    //если не зареган, то кэшбэк до
                    global $wpdb;
                    $table_bfw = $wpdb->get_results("SELECT * FROM " . $wpdb->prefix . "bfw_computy");
                    $table_bfw = json_decode(json_encode($table_bfw), true);/* преобразование в ассоциативный массив*/

                    if(!empty(array_column($table_bfw, 'percent'))){
                        $maximalpercent = max(array_column($table_bfw, 'percent'));/*находим максимальный процент*/
                    }else{
                        $maximalpercent=0;
                    }

                    $ball2 = (int)$prize / 100 * (int)$maximalpercent;
                    $ball2 = round($ball2);
                    if ($ball2 > 0) {
                        //найти id товара и категорию
                        global $post;
                        $id = $post->ID;
                        $val = get_option('bonus_option_name');

                        $categoriexs = $val['exclude-category-cashback'] ?? 'not';


                        if (isset ($val['exclude-tovar-cashback'])){
                            $exclude_tovar = $val['exclude-tovar-cashback'];
                            $tovars = explode(",", $exclude_tovar);
                        }else{
                            $tovars = array();
                        }

                            if (in_array($id, $tovars) OR has_term($categoriexs, 'product_cat', $id)) {
                                if (!empty($val['addkeshback-exclude'])) {
                                    $price .= '<div class="how_mach_bonus not_register">' . sprintf(__('Cashback: up to %s %s',
                                                'bonus-for-woo'), $ball2, (new BfwPoints())->pointsLabelUp($ball2)) . '</div>';
                                }


                            } else {
                                $price .= '<div class="how_mach_bonus not_register">' . sprintf(__('Cashback: up to %s %s',
                                        'bonus-for-woo'), $ball2, (new BfwPoints())->pointsLabelUp($ball2)) . '</div>';
                            }



                    }

                }
            }

    return $price;

}