<?php
/*Списание баллов в корзине и оформлении заказа*/

/**
 * @param $rederikt
 */
function bfw_return_spisanie($rederikt){

    global $woocommerce;
    $total = $woocommerce->cart->total; //сумма в корзине
    $alternative ='';

    $computy_point = (new BfwPoints)->getPoints(get_current_user_id()); //всего баллов у покупателя

    $val = get_option('bonus_option_name');
    /*процент списание баллов для про*/
    $pro = get_option('bonus-for-woo-pro');

    if ($pro == 'active') {
        $max_percent = $val['max-percent-bonuses'] ?? 100;
    } else {
        $max_percent = 100;
    }
    /*процент списание баллов для про*/

    /*исключение категорий*/
    if ($pro == 'active') {
        $categoriexs = $val['exclude-category-cashback'] ??  'not';

        foreach (WC()->cart->get_cart() as $cart_item_key => $cart_item) {
            $_product = apply_filters('woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key);
            if (has_term($categoriexs, 'product_cat', $cart_item['product_id'])) {
                $sum_exclud_cat = $_product->get_price() * $cart_item['quantity'];
                $total = $total - $sum_exclud_cat;
            }
        }
    }
    /*исключение категорий*/

/*убираем возможность тратить баллы на доставку*/
    if ($woocommerce->cart->shipping_total>0){
        $total = $total - $woocommerce->cart->shipping_total;
    }
 /*убираем возможность тратить баллы на доставку*/

    /*исключение товаров*/
    if ($pro == 'active') {
        $exclude_tovar = $val['exclude-tovar-cashback'];
        $tovars = explode(",", $exclude_tovar);

        foreach (WC()->cart->get_cart() as $cart_item_key => $cart_item) {
            $_product = apply_filters('woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key);
            if (in_array($cart_item['product_id'], $tovars)) {
                if (has_term($categoriexs, 'product_cat', $cart_item['product_id'])) {

                } else {
                    $sum_exclud_tov = $_product->get_price() * $cart_item['quantity'];
                    $total = $total - $sum_exclud_tov;
                }
            }


        }
    }
    /*исключение товаров*/
    $user_fast_pionts = (new BfwPoints)->getFastPoints(get_current_user_id());
    $total_plus_fast = $total+$user_fast_pionts;
    $total_max_percent = $total_plus_fast * $max_percent / 100;
    $total_max_percent = round((int)$total_max_percent);
    $vozmojniy_ball_true = $total_max_percent-$user_fast_pionts;


    if ($total > 0) {
        if ($computy_point > 0) {
            if ($computy_point >= $vozmojniy_ball_true) {
                $vozmojniy_ball = $vozmojniy_ball_true;
            } else {
                $vozmojniy_ball = $computy_point;
            }
            $vozmojniy_ball = round((int)$vozmojniy_ball);
            $val = get_option('bonus_option_name');

            $displaynone = '';

            $i = 0;
            $s = 0;
            foreach ($woocommerce->cart->get_cart() as $item):
                $id_tovara_vkorzine = $item['product_id'];
                $s++;
                $product = wc_get_product($id_tovara_vkorzine);
                if ($product->is_on_sale()) {
                    $i++;
                }
            endforeach;
            if ($i == $s) {

                if (!empty($val['spisanie-onsale'])) {/*если разрешено списывать баллы у распродажи*/
                 $displaynone = 'style="display:none"';
                }


            }

            if(!empty($val['balls-and-coupon'])){
                    /*Если применяется купон*/

                    global $woocommerce;
                    if($woocommerce->cart->applied_coupons){
                        $displaynone = 'style="display:none"';
                      $alternative = '<div class="woocommerce-cart-notice woocommerce-cart-notice-minimum-amount woocommerce-error">'.
                       sprintf( __('To use %s, you must remove the coupon.', 'bonus-for-woo'), (new BfwPoints())->pointsLabel(5)).'</div> ';
                        /*тут  очистить fastballs*/
                        (new BfwPoints)->updateFastPoints(get_current_user_id(),0);
                        WC()->cart->calculate_totals();//пересчет общей суммы заказа

                    }}


            if(isset($val['minimal-amount'])){
                if($total<$val['minimal-amount']){
                    $displaynone = 'style="display:none"';
                    $alternative = '<div class="woocommerce-cart-notice woocommerce-cart-notice-minimum-amount woocommerce-error">'.
                        sprintf(__('To use %s, the order amount must be more than', 'bonus-for-woo'), (new BfwPoints())->pointsLabel(5)).' '.$val['minimal-amount'].' '.get_woocommerce_currency_symbol().'</div> ';
                }}

            echo $alternative;

            echo '<div ' . $displaynone . ' id="computy-bonus-message-cart" class="woocommerce-cart-notice woocommerce-cart-notice-minimum-amount woocommerce-info">
' . $val['bonustext-in-cart1'] . ' <b>' . $vozmojniy_ball . '</b> ' . $val['bonustext-in-cart2'] . ' <b>' . $vozmojniy_ball . ' ' . get_woocommerce_currency_symbol() . '</b> ' . $val['bonustext-in-cart3'] . '
 <span class="computy_skidka_link">' . $val['use-points-on-cart'] . '</span> <br> ';


            echo '
        <div class="computy_skidka_container" style="display: none;">
        <br>
        <form class="computy_skidka_form" action="' . admin_url("admin-post.php") . '" method="post">
         <input type="hidden" name="action" value="computy_trata_points" />';

            echo '<input type="hidden" name="redirect" value="' . $rederikt . '">';


            echo ' <p class="form-row form-row-first">';
            $userid = get_current_user_id();
            $computy_point_old = (new BfwPoints)->getFastPoints($userid);
            if ($computy_point_old > 0) {
                $usepointsoncart = $computy_point_old;
            } else {
                $usepointsoncart = $vozmojniy_ball;
            }
            echo '
         <input type="number" name="computy_input_points" class="input-text" min="1" max="' . $vozmojniy_ball . '"  value="' . $usepointsoncart . '">
            </p>
          <p class="form-row form-row-last">';
            echo ' <input type="submit" class="button"  value="' . $val['use-points-on-cart'] . '">
            </p></form></div>';
            if ((new BfwPoints)->getFastPoints(get_current_user_id())  > 0) {
                echo '<form class="remove_points_form" action="' . admin_url("admin-post.php") . '" method="post">
                      <input type="hidden" name="action" value="clear_bonus" />';
                echo '<input type="hidden" name="redirect" value="' . $rederikt . '">';
                echo '<input type="submit" class="remove_points"  value="' . $val['remove-on-cart'] . '">
 
</form>';
            }
            echo '</div> ';

        } else {
            echo '';
        }
    }
}

add_action('woocommerce_before_cart', 'bfwoo_spisaniebonusov_in_cart', 9);
function bfwoo_spisaniebonusov_in_cart()
{
    $rederict=wc_get_cart_url();
    bfw_return_spisanie($rederict);
}

add_action('woocommerce_before_checkout_form', 'bfwoo_spisaniebonusov_in_checkout', 9);
function bfwoo_spisaniebonusov_in_checkout()
{
    $val = get_option('bonus_option_name');
    if (!empty($val['spisanie-in-checkout'])) {
        $rederict=wc_get_checkout_url();
        bfw_return_spisanie($rederict);
    }
}